WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] 3.9-RC1 Visual editor and TinyMCE Advanced issues (16 posts)

  1. Malae
    Member
    Posted 4 months ago #

    Until updating today of 3.9 RC-1, I could see 45 icons in the TinyMCE on the settings page, but only 27 showed on the Visual editor page.
    After updating today there are 33 icons showing on the Visual editor page plus 4 empty spaces, which on hovering show Insert/Edit Attributes,Edit CSS, Horizontal Rule and Find.

    I can edit text on this page, buy Ctrl+Z does not work.

    Firebug Console shows: "Deprecated TinyMCE API call: <target>.onNodeChange.add(..)"

  2. Malae
    Member
    Posted 4 months ago #

    Another Console output:
    TypeError: wp.mce.views.unbind is not a function

  3. Mike Schroder
    WP Contributing Dev.
    Posted 4 months ago #

    Sounds like you might have a plugin that's not compatible with TinyMCE 4.x

    If you disable your plugins, then clear your cache and reload the editor, do these in-console errors go away and the appearance of TinyMCE look normal?

  4. Malae
    Member
    Posted 4 months ago #

    Mike, I had been about to deactivate the plug-ins this morning. Have now done this and including TinyMCE Advanced, cleared cache and note that 27 plug-in icons are still showing and seem to be active. Perhaps these are the basic TinyMCE and are built into the core? This 3.9-RC-1 installation is running on XAMPP, but same number if Tiny MCE Advanced deactivated on 3.8.2 on regular server.

    I then restored TinyMCE Advanced and found no change in the display of 33 icons and empty spaces as noted above. Ctrl+Z also still not working.

    The same messages in console:
    "Deprecated TinyMCE API call: <target>.onNodeChange.add(..)"
    TypeError: wp.mce.views.unbind is not a function

  5. Can you please update to the latest nightly? This should be fixed.

    Related: https://core.trac.wordpress.org/ticket/27782

  6. Malae
    Member
    Posted 4 months ago #

    Dominik, Thanks for the advice. I have just updated and no longer get the messages in the Console, but issue of the missing icons and the Ctrl+Z problem are unchanged. Icon count now 36 plus the 4 functions where the icon does not show.

  7. Malae
    Member
    Posted 4 months ago #

    Correction after checking again:
    "Deprecated TinyMCE API call: <target>.onNodeChange.add(..)"
    and
    TypeError: wp.mce.views.unbind is not a function
    have appeared again.
    Sad to say, no change at all.

  8. Malae
    Member
    Posted 4 months ago #

    Correction after checking again:
    "Deprecated TinyMCE API call: <target>.onNodeChange.add(..)"
    and
    TypeError: wp.mce.views.unbind is not a function
    have appeared again.
    Sad to say, no change at all.

  9. Does the same still happens with RC2?

    Note: Deprecated TinyMCE API call: is not an error which should break things. It's just a warning.

  10. fsampei
    Member
    Posted 4 months ago #

    I have the same error:

    "Deprecated TinyMCE API call: <target>.onClick.add(..)"

    and I can't edit the text: tiny doesn't appear.

    I have tryed the last beta.

  11. Malae
    Member
    Posted 4 months ago #

    Dominik,
    Tested RC-2 at 14:05 UTC and no change with the icons or Deprecated TinyMCE API call: <target>.onNodeChange.add(..)
    However, the issues of Ctrl+Z and TypeError: wp.mce.views.unbind is not a function are gone and I get function .mceRepaint, wp-tinymce.php.

  12. For the icons and deprecated warning you have to wait for the a new version of TinyMCE Advanced, see http://wordpress.org/support/topic/compatibility-with-wp-39-and-tinymce4?replies=2#post-5451213

  13. Malae
    Member
    Posted 4 months ago #

    Errors in Console for TinyMCE Settings page:

    Error in parsing value for 'transition'.  Declaration dropped. load-styles.php:1
    Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. load-styles.php:1
    Unknown property 'box-sizing'.  Declaration dropped. load-styles.php:2
    Unknown property 'speak'.  Declaration dropped. load-styles.php:2
    Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. load-styles.php:2
    Unknown pseudo-class or pseudo-element '-webkit-input-placeholder'.  Ruleset ignored due to bad selector. load-styles.php:2
    Unknown pseudo-class or pseudo-element '-ms-input-placeholder'.  Ruleset ignored due to bad selector. load-styles.php:2
    Error in parsing value for 'min-width'.  Declaration dropped. load-styles.php:2
    Unknown property 'speak'.  Declaration dropped. load-styles.php:3
    Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. load-styles.php:3
    Unknown property 'speak'.  Declaration dropped. load-styles.php:4
    Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. load-styles.php:4
    Unknown property 'box-sizing'.  Declaration dropped. load-styles.php:4
    Unknown property 'user-select'.  Declaration dropped. load-styles.php:4
    Expected 'none' or URL but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. load-styles.php:4
    Error in parsing value for 'transition'.  Declaration dropped. load-styles.php:4
    Expected media feature name but found '-o-min-device-pixel-ratio'. load-styles.php:4
    Expected media feature name but found '-webkit-min-device-pixel-ratio'. load-styles.php:4
    Unknown property 'touch-action'.  Declaration dropped. load-styles.php:4
    Unknown pseudo-class or pseudo-element '-webkit-search-decoration'.  Ruleset ignored due to bad selector. load-styles.php:4
    Expected end of value but found ','.  Error in parsing value for 'background'.  Declaration dropped. load-styles.php:4
    Unknown property 'box-sizing'.  Declaration dropped. load-styles.php:5
    Expected 'none' or URL but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. load-styles.php:6
    Unknown property 'speak'.  Declaration dropped. load-styles.php:6
    Unknown property '-moz-osx-font-smoothing'.  Declaration dropped. load-styles.php:6
    Unknown pseudo-class or pseudo-element '-webkit-input-placeholder'.  Ruleset ignored due to bad selector. colors.min.css:1
    Unknown pseudo-class or pseudo-element '-ms-input-placeholder'.  Ruleset ignored due to bad selector. colors.min.css:1
    Unknown property 'user-select'.  Declaration dropped. tadv-styles.css:191
    Error in parsing value for 'background-image'.  Declaration dropped. admin-style.css:9
    Error in parsing value for 'background-image'.  Declaration dropped. admin-style.css:15
    Expected 'none' or URL but found 'Alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:51
    Expected 'none' or URL but found 'alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:533
    Expected 'none' or URL but found 'Alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:910
    Expected 'none' or URL but found 'Alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:917
    Expected 'none' or URL but found 'Alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:921
    Expected 'none' or URL but found 'Alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:1169
    Expected 'none' or URL but found 'Alpha('.  Error in parsing value for 'filter'.  Declaration dropped. jquery-ui.css:1176
    Unknown property 'box-sizing'.  Declaration dropped. options-general.php
  14. Malae
    Member
    Posted 4 months ago #

    Sorry, did not realise how long the previous post is. For a long time there has been no edit function, even immediately after posting.

  15. Malae, you can try out the development version from here http://downloads.wordpress.org/plugin/tinymce-advanced.zip.

  16. Malae
    Member
    Posted 4 months ago #

    Dominik,
    Overtaken by events, when I updated the nightly build this morning, I was surprised to find WordPress 4.0-alpha running! I did the TinyMCE Advanced update and all seems well.
    Similarly updating two sites from 3.8.3 to 3.9 and TinyMCE Advanced to version 4.0.1 produced no problems. The only issue now is for me to check out the new interface.
    Thanks for the pointers and congrats to Andrew Ozz for sorting the TinyMCE Advanced problems

Reply

You must log in to post.

About this Topic